Class: Sketchup::ArcCurve
Overview
An ArcCurve is a Curve that makes up part of a circle. This is the underlying class for circles as well.
You can think of ArcCurves as entities that were created with SketchUp's Arc or Circle drawing tools and Curves as entities that were created with the Freehand drawing tool.
However, keep in mind that all Curves in SketchUp are really edges with some extra data attached to them. When you use the API to draw a Curve or ArcCurve, you are really drawing edges.
ArcCurve is a subclass of Curve, so all of the methods that are available to Curves are also available to ArcCurves.
Instance Method Summary collapse
-
#center ⇒ Geom::Point3d
Get center of the circular arc.
-
#end_angle ⇒ Numeric
Get the angle of the end of the arc measured from the X axis in radians.
-
#normal ⇒ Geom::Vector3d
Get arc normal, the vector that is perpendicular to the plane of the arc.
-
#plane ⇒ Array<Numeric>
Get arc plane.
-
#radius ⇒ Numeric
Get arc radius.
-
#start_angle ⇒ Numeric
Get the angle of the start of the arc, measured from the X axis in radians.
-
#xaxis ⇒ Geom::Vector3d
Get the X axis of the arc's coordinate system.
-
#yaxis ⇒ Geom::Vector3d
Get the Y axis of the arc's coordinate system.
Methods inherited from Curve
#count_edges, #each_edge, #edges, #first_edge, #last_edge, #length, #move_vertices, #vertices
Methods inherited from Entity
#add_observer, #attribute_dictionaries, #attribute_dictionary, #delete_attribute, #deleted?, #entityID, #get_attribute, #model, #parent, #remove_observer, #set_attribute, #to_s, #typename, #valid?
Instance Method Details
#center ⇒ Geom::Point3d
Get center of the circular arc.
48 49 |
# File 'lib/arccurve.rb', line 48 def center end |
#end_angle ⇒ Numeric
Get the angle of the end of the arc measured from the X axis in radians.
69 70 |
# File 'lib/arccurve.rb', line 69 def end_angle end |
#normal ⇒ Geom::Vector3d
Get arc normal, the vector that is perpendicular to the plane of the arc.
87 88 |
# File 'lib/arccurve.rb', line 87 def normal end |
#plane ⇒ Array<Numeric>
Refer to the Geom module for instructions to create a plane.
Get arc plane.
108 109 |
# File 'lib/arccurve.rb', line 108 def plane end |
#start_angle ⇒ Numeric
Get the angle of the start of the arc, measured from the X axis in radians.
148 149 |
# File 'lib/arccurve.rb', line 148 def start_angle end |
#xaxis ⇒ Geom::Vector3d
The length of the returned vector is equal to the radius of the underlying curve.
Get the X axis of the arc's coordinate system.
170 171 |
# File 'lib/arccurve.rb', line 170 def xaxis end |
#yaxis ⇒ Geom::Vector3d
The length of the returned vector is equal to the radius of the underlying curve.
Get the Y axis of the arc's coordinate system.
192 193 |
# File 'lib/arccurve.rb', line 192 def yaxis end |